Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network146.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
146.0.0.0
Broadcast address
146.255.255.255
First usable
146.0.0.1
Last usable
146.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 92000000 · Integer 2449473536 to 2466250751
Reverse DNS zone
146.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010010..00000000.00000000.00000000146.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10010010..00000000.00000000.00000000146.0.0.0
Broadcast10010010..11111111.11111111.11111111146.255.255.255
Split into smaller subnets/19

146.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1146.0.0.0/19146.0.0.1 to 146.0.31.254146.0.31.2558,190
2146.0.32.0/19146.0.32.1 to 146.0.63.254146.0.63.2558,190
3146.0.64.0/19146.0.64.1 to 146.0.95.254146.0.95.2558,190
4146.0.96.0/19146.0.96.1 to 146.0.127.254146.0.127.2558,190
5146.0.128.0/19146.0.128.1 to 146.0.159.254146.0.159.2558,190
6146.0.160.0/19146.0.160.1 to 146.0.191.254146.0.191.2558,190
7146.0.192.0/19146.0.192.1 to 146.0.223.254146.0.223.2558,190
8146.0.224.0/19146.0.224.1 to 146.0.255.254146.0.255.2558,190
9146.1.0.0/19146.1.0.1 to 146.1.31.254146.1.31.2558,190
10146.1.32.0/19146.1.32.1 to 146.1.63.254146.1.63.2558,190
11146.1.64.0/19146.1.64.1 to 146.1.95.254146.1.95.2558,190
12146.1.96.0/19146.1.96.1 to 146.1.127.254146.1.127.2558,190
13146.1.128.0/19146.1.128.1 to 146.1.159.254146.1.159.2558,190
14146.1.160.0/19146.1.160.1 to 146.1.191.254146.1.191.2558,190
15146.1.192.0/19146.1.192.1 to 146.1.223.254146.1.223.2558,190
16146.1.224.0/19146.1.224.1 to 146.1.255.254146.1.255.2558,190
17146.2.0.0/19146.2.0.1 to 146.2.31.254146.2.31.2558,190
18146.2.32.0/19146.2.32.1 to 146.2.63.254146.2.63.2558,190
19146.2.64.0/19146.2.64.1 to 146.2.95.254146.2.95.2558,190
20146.2.96.0/19146.2.96.1 to 146.2.127.254146.2.127.2558,190
21146.2.128.0/19146.2.128.1 to 146.2.159.254146.2.159.2558,190
22146.2.160.0/19146.2.160.1 to 146.2.191.254146.2.191.2558,190
23146.2.192.0/19146.2.192.1 to 146.2.223.254146.2.223.2558,190
24146.2.224.0/19146.2.224.1 to 146.2.255.254146.2.255.2558,190
25146.3.0.0/19146.3.0.1 to 146.3.31.254146.3.31.2558,190
26146.3.32.0/19146.3.32.1 to 146.3.63.254146.3.63.2558,190
27146.3.64.0/19146.3.64.1 to 146.3.95.254146.3.95.2558,190
28146.3.96.0/19146.3.96.1 to 146.3.127.254146.3.127.2558,190
29146.3.128.0/19146.3.128.1 to 146.3.159.254146.3.159.2558,190
30146.3.160.0/19146.3.160.1 to 146.3.191.254146.3.191.2558,190
31146.3.192.0/19146.3.192.1 to 146.3.223.254146.3.223.2558,190
32146.3.224.0/19146.3.224.1 to 146.3.255.254146.3.255.2558,190
33146.4.0.0/19146.4.0.1 to 146.4.31.254146.4.31.2558,190
34146.4.32.0/19146.4.32.1 to 146.4.63.254146.4.63.2558,190
35146.4.64.0/19146.4.64.1 to 146.4.95.254146.4.95.2558,190
36146.4.96.0/19146.4.96.1 to 146.4.127.254146.4.127.2558,190
37146.4.128.0/19146.4.128.1 to 146.4.159.254146.4.159.2558,190
38146.4.160.0/19146.4.160.1 to 146.4.191.254146.4.191.2558,190
39146.4.192.0/19146.4.192.1 to 146.4.223.254146.4.223.2558,190
40146.4.224.0/19146.4.224.1 to 146.4.255.254146.4.255.2558,190
41146.5.0.0/19146.5.0.1 to 146.5.31.254146.5.31.2558,190
42146.5.32.0/19146.5.32.1 to 146.5.63.254146.5.63.2558,190
43146.5.64.0/19146.5.64.1 to 146.5.95.254146.5.95.2558,190
44146.5.96.0/19146.5.96.1 to 146.5.127.254146.5.127.2558,190
45146.5.128.0/19146.5.128.1 to 146.5.159.254146.5.159.2558,190
46146.5.160.0/19146.5.160.1 to 146.5.191.254146.5.191.2558,190
47146.5.192.0/19146.5.192.1 to 146.5.223.254146.5.223.2558,190
48146.5.224.0/19146.5.224.1 to 146.5.255.254146.5.255.2558,190
49146.6.0.0/19146.6.0.1 to 146.6.31.254146.6.31.2558,190
50146.6.32.0/19146.6.32.1 to 146.6.63.254146.6.63.2558,190
51146.6.64.0/19146.6.64.1 to 146.6.95.254146.6.95.2558,190
52146.6.96.0/19146.6.96.1 to 146.6.127.254146.6.127.2558,190
53146.6.128.0/19146.6.128.1 to 146.6.159.254146.6.159.2558,190
54146.6.160.0/19146.6.160.1 to 146.6.191.254146.6.191.2558,190
55146.6.192.0/19146.6.192.1 to 146.6.223.254146.6.223.2558,190
56146.6.224.0/19146.6.224.1 to 146.6.255.254146.6.255.2558,190
57146.7.0.0/19146.7.0.1 to 146.7.31.254146.7.31.2558,190
58146.7.32.0/19146.7.32.1 to 146.7.63.254146.7.63.2558,190
59146.7.64.0/19146.7.64.1 to 146.7.95.254146.7.95.2558,190
60146.7.96.0/19146.7.96.1 to 146.7.127.254146.7.127.2558,190
61146.7.128.0/19146.7.128.1 to 146.7.159.254146.7.159.2558,190
62146.7.160.0/19146.7.160.1 to 146.7.191.254146.7.191.2558,190
63146.7.192.0/19146.7.192.1 to 146.7.223.254146.7.223.2558,190
64146.7.224.0/19146.7.224.1 to 146.7.255.254146.7.255.2558,190
65146.8.0.0/19146.8.0.1 to 146.8.31.254146.8.31.2558,190
66146.8.32.0/19146.8.32.1 to 146.8.63.254146.8.63.2558,190
67146.8.64.0/19146.8.64.1 to 146.8.95.254146.8.95.2558,190
68146.8.96.0/19146.8.96.1 to 146.8.127.254146.8.127.2558,190
69146.8.128.0/19146.8.128.1 to 146.8.159.254146.8.159.2558,190
70146.8.160.0/19146.8.160.1 to 146.8.191.254146.8.191.2558,190
71146.8.192.0/19146.8.192.1 to 146.8.223.254146.8.223.2558,190
72146.8.224.0/19146.8.224.1 to 146.8.255.254146.8.255.2558,190
73146.9.0.0/19146.9.0.1 to 146.9.31.254146.9.31.2558,190
74146.9.32.0/19146.9.32.1 to 146.9.63.254146.9.63.2558,190
75146.9.64.0/19146.9.64.1 to 146.9.95.254146.9.95.2558,190
76146.9.96.0/19146.9.96.1 to 146.9.127.254146.9.127.2558,190
77146.9.128.0/19146.9.128.1 to 146.9.159.254146.9.159.2558,190
78146.9.160.0/19146.9.160.1 to 146.9.191.254146.9.191.2558,190
79146.9.192.0/19146.9.192.1 to 146.9.223.254146.9.223.2558,190
80146.9.224.0/19146.9.224.1 to 146.9.255.254146.9.255.2558,190
81146.10.0.0/19146.10.0.1 to 146.10.31.254146.10.31.2558,190
82146.10.32.0/19146.10.32.1 to 146.10.63.254146.10.63.2558,190
83146.10.64.0/19146.10.64.1 to 146.10.95.254146.10.95.2558,190
84146.10.96.0/19146.10.96.1 to 146.10.127.254146.10.127.2558,190
85146.10.128.0/19146.10.128.1 to 146.10.159.254146.10.159.2558,190
86146.10.160.0/19146.10.160.1 to 146.10.191.254146.10.191.2558,190
87146.10.192.0/19146.10.192.1 to 146.10.223.254146.10.223.2558,190
88146.10.224.0/19146.10.224.1 to 146.10.255.254146.10.255.2558,190
89146.11.0.0/19146.11.0.1 to 146.11.31.254146.11.31.2558,190
90146.11.32.0/19146.11.32.1 to 146.11.63.254146.11.63.2558,190
91146.11.64.0/19146.11.64.1 to 146.11.95.254146.11.95.2558,190
92146.11.96.0/19146.11.96.1 to 146.11.127.254146.11.127.2558,190
93146.11.128.0/19146.11.128.1 to 146.11.159.254146.11.159.2558,190
94146.11.160.0/19146.11.160.1 to 146.11.191.254146.11.191.2558,190
95146.11.192.0/19146.11.192.1 to 146.11.223.254146.11.223.2558,190
96146.11.224.0/19146.11.224.1 to 146.11.255.254146.11.255.2558,190
97146.12.0.0/19146.12.0.1 to 146.12.31.254146.12.31.2558,190
98146.12.32.0/19146.12.32.1 to 146.12.63.254146.12.63.2558,190
99146.12.64.0/19146.12.64.1 to 146.12.95.254146.12.95.2558,190
100146.12.96.0/19146.12.96.1 to 146.12.127.254146.12.127.2558,190
101146.12.128.0/19146.12.128.1 to 146.12.159.254146.12.159.2558,190
102146.12.160.0/19146.12.160.1 to 146.12.191.254146.12.191.2558,190
103146.12.192.0/19146.12.192.1 to 146.12.223.254146.12.223.2558,190
104146.12.224.0/19146.12.224.1 to 146.12.255.254146.12.255.2558,190
105146.13.0.0/19146.13.0.1 to 146.13.31.254146.13.31.2558,190
106146.13.32.0/19146.13.32.1 to 146.13.63.254146.13.63.2558,190
107146.13.64.0/19146.13.64.1 to 146.13.95.254146.13.95.2558,190
108146.13.96.0/19146.13.96.1 to 146.13.127.254146.13.127.2558,190
109146.13.128.0/19146.13.128.1 to 146.13.159.254146.13.159.2558,190
110146.13.160.0/19146.13.160.1 to 146.13.191.254146.13.191.2558,190
111146.13.192.0/19146.13.192.1 to 146.13.223.254146.13.223.2558,190
112146.13.224.0/19146.13.224.1 to 146.13.255.254146.13.255.2558,190
113146.14.0.0/19146.14.0.1 to 146.14.31.254146.14.31.2558,190
114146.14.32.0/19146.14.32.1 to 146.14.63.254146.14.63.2558,190
115146.14.64.0/19146.14.64.1 to 146.14.95.254146.14.95.2558,190
116146.14.96.0/19146.14.96.1 to 146.14.127.254146.14.127.2558,190
117146.14.128.0/19146.14.128.1 to 146.14.159.254146.14.159.2558,190
118146.14.160.0/19146.14.160.1 to 146.14.191.254146.14.191.2558,190
119146.14.192.0/19146.14.192.1 to 146.14.223.254146.14.223.2558,190
120146.14.224.0/19146.14.224.1 to 146.14.255.254146.14.255.2558,190
121146.15.0.0/19146.15.0.1 to 146.15.31.254146.15.31.2558,190
122146.15.32.0/19146.15.32.1 to 146.15.63.254146.15.63.2558,190
123146.15.64.0/19146.15.64.1 to 146.15.95.254146.15.95.2558,190
124146.15.96.0/19146.15.96.1 to 146.15.127.254146.15.127.2558,190
125146.15.128.0/19146.15.128.1 to 146.15.159.254146.15.159.2558,190
126146.15.160.0/19146.15.160.1 to 146.15.191.254146.15.191.2558,190
127146.15.192.0/19146.15.192.1 to 146.15.223.254146.15.223.2558,190
128146.15.224.0/19146.15.224.1 to 146.15.255.254146.15.255.2558,190
129146.16.0.0/19146.16.0.1 to 146.16.31.254146.16.31.2558,190
130146.16.32.0/19146.16.32.1 to 146.16.63.254146.16.63.2558,190
131146.16.64.0/19146.16.64.1 to 146.16.95.254146.16.95.2558,190
132146.16.96.0/19146.16.96.1 to 146.16.127.254146.16.127.2558,190
133146.16.128.0/19146.16.128.1 to 146.16.159.254146.16.159.2558,190
134146.16.160.0/19146.16.160.1 to 146.16.191.254146.16.191.2558,190
135146.16.192.0/19146.16.192.1 to 146.16.223.254146.16.223.2558,190
136146.16.224.0/19146.16.224.1 to 146.16.255.254146.16.255.2558,190
137146.17.0.0/19146.17.0.1 to 146.17.31.254146.17.31.2558,190
138146.17.32.0/19146.17.32.1 to 146.17.63.254146.17.63.2558,190
139146.17.64.0/19146.17.64.1 to 146.17.95.254146.17.95.2558,190
140146.17.96.0/19146.17.96.1 to 146.17.127.254146.17.127.2558,190
141146.17.128.0/19146.17.128.1 to 146.17.159.254146.17.159.2558,190
142146.17.160.0/19146.17.160.1 to 146.17.191.254146.17.191.2558,190
143146.17.192.0/19146.17.192.1 to 146.17.223.254146.17.223.2558,190
144146.17.224.0/19146.17.224.1 to 146.17.255.254146.17.255.2558,190
145146.18.0.0/19146.18.0.1 to 146.18.31.254146.18.31.2558,190
146146.18.32.0/19146.18.32.1 to 146.18.63.254146.18.63.2558,190
147146.18.64.0/19146.18.64.1 to 146.18.95.254146.18.95.2558,190
148146.18.96.0/19146.18.96.1 to 146.18.127.254146.18.127.2558,190
149146.18.128.0/19146.18.128.1 to 146.18.159.254146.18.159.2558,190
150146.18.160.0/19146.18.160.1 to 146.18.191.254146.18.191.2558,190
151146.18.192.0/19146.18.192.1 to 146.18.223.254146.18.223.2558,190
152146.18.224.0/19146.18.224.1 to 146.18.255.254146.18.255.2558,190
153146.19.0.0/19146.19.0.1 to 146.19.31.254146.19.31.2558,190
154146.19.32.0/19146.19.32.1 to 146.19.63.254146.19.63.2558,190
155146.19.64.0/19146.19.64.1 to 146.19.95.254146.19.95.2558,190
156146.19.96.0/19146.19.96.1 to 146.19.127.254146.19.127.2558,190
157146.19.128.0/19146.19.128.1 to 146.19.159.254146.19.159.2558,190
158146.19.160.0/19146.19.160.1 to 146.19.191.254146.19.191.2558,190
159146.19.192.0/19146.19.192.1 to 146.19.223.254146.19.223.2558,190
160146.19.224.0/19146.19.224.1 to 146.19.255.254146.19.255.2558,190
161146.20.0.0/19146.20.0.1 to 146.20.31.254146.20.31.2558,190
162146.20.32.0/19146.20.32.1 to 146.20.63.254146.20.63.2558,190
163146.20.64.0/19146.20.64.1 to 146.20.95.254146.20.95.2558,190
164146.20.96.0/19146.20.96.1 to 146.20.127.254146.20.127.2558,190
165146.20.128.0/19146.20.128.1 to 146.20.159.254146.20.159.2558,190
166146.20.160.0/19146.20.160.1 to 146.20.191.254146.20.191.2558,190
167146.20.192.0/19146.20.192.1 to 146.20.223.254146.20.223.2558,190
168146.20.224.0/19146.20.224.1 to 146.20.255.254146.20.255.2558,190
169146.21.0.0/19146.21.0.1 to 146.21.31.254146.21.31.2558,190
170146.21.32.0/19146.21.32.1 to 146.21.63.254146.21.63.2558,190
171146.21.64.0/19146.21.64.1 to 146.21.95.254146.21.95.2558,190
172146.21.96.0/19146.21.96.1 to 146.21.127.254146.21.127.2558,190
173146.21.128.0/19146.21.128.1 to 146.21.159.254146.21.159.2558,190
174146.21.160.0/19146.21.160.1 to 146.21.191.254146.21.191.2558,190
175146.21.192.0/19146.21.192.1 to 146.21.223.254146.21.223.2558,190
176146.21.224.0/19146.21.224.1 to 146.21.255.254146.21.255.2558,190
177146.22.0.0/19146.22.0.1 to 146.22.31.254146.22.31.2558,190
178146.22.32.0/19146.22.32.1 to 146.22.63.254146.22.63.2558,190
179146.22.64.0/19146.22.64.1 to 146.22.95.254146.22.95.2558,190
180146.22.96.0/19146.22.96.1 to 146.22.127.254146.22.127.2558,190
181146.22.128.0/19146.22.128.1 to 146.22.159.254146.22.159.2558,190
182146.22.160.0/19146.22.160.1 to 146.22.191.254146.22.191.2558,190
183146.22.192.0/19146.22.192.1 to 146.22.223.254146.22.223.2558,190
184146.22.224.0/19146.22.224.1 to 146.22.255.254146.22.255.2558,190
185146.23.0.0/19146.23.0.1 to 146.23.31.254146.23.31.2558,190
186146.23.32.0/19146.23.32.1 to 146.23.63.254146.23.63.2558,190
187146.23.64.0/19146.23.64.1 to 146.23.95.254146.23.95.2558,190
188146.23.96.0/19146.23.96.1 to 146.23.127.254146.23.127.2558,190
189146.23.128.0/19146.23.128.1 to 146.23.159.254146.23.159.2558,190
190146.23.160.0/19146.23.160.1 to 146.23.191.254146.23.191.2558,190
191146.23.192.0/19146.23.192.1 to 146.23.223.254146.23.223.2558,190
192146.23.224.0/19146.23.224.1 to 146.23.255.254146.23.255.2558,190
193146.24.0.0/19146.24.0.1 to 146.24.31.254146.24.31.2558,190
194146.24.32.0/19146.24.32.1 to 146.24.63.254146.24.63.2558,190
195146.24.64.0/19146.24.64.1 to 146.24.95.254146.24.95.2558,190
196146.24.96.0/19146.24.96.1 to 146.24.127.254146.24.127.2558,190
197146.24.128.0/19146.24.128.1 to 146.24.159.254146.24.159.2558,190
198146.24.160.0/19146.24.160.1 to 146.24.191.254146.24.191.2558,190
199146.24.192.0/19146.24.192.1 to 146.24.223.254146.24.223.2558,190
200146.24.224.0/19146.24.224.1 to 146.24.255.254146.24.255.2558,190
201146.25.0.0/19146.25.0.1 to 146.25.31.254146.25.31.2558,190
202146.25.32.0/19146.25.32.1 to 146.25.63.254146.25.63.2558,190
203146.25.64.0/19146.25.64.1 to 146.25.95.254146.25.95.2558,190
204146.25.96.0/19146.25.96.1 to 146.25.127.254146.25.127.2558,190
205146.25.128.0/19146.25.128.1 to 146.25.159.254146.25.159.2558,190
206146.25.160.0/19146.25.160.1 to 146.25.191.254146.25.191.2558,190
207146.25.192.0/19146.25.192.1 to 146.25.223.254146.25.223.2558,190
208146.25.224.0/19146.25.224.1 to 146.25.255.254146.25.255.2558,190
209146.26.0.0/19146.26.0.1 to 146.26.31.254146.26.31.2558,190
210146.26.32.0/19146.26.32.1 to 146.26.63.254146.26.63.2558,190
211146.26.64.0/19146.26.64.1 to 146.26.95.254146.26.95.2558,190
212146.26.96.0/19146.26.96.1 to 146.26.127.254146.26.127.2558,190
213146.26.128.0/19146.26.128.1 to 146.26.159.254146.26.159.2558,190
214146.26.160.0/19146.26.160.1 to 146.26.191.254146.26.191.2558,190
215146.26.192.0/19146.26.192.1 to 146.26.223.254146.26.223.2558,190
216146.26.224.0/19146.26.224.1 to 146.26.255.254146.26.255.2558,190
217146.27.0.0/19146.27.0.1 to 146.27.31.254146.27.31.2558,190
218146.27.32.0/19146.27.32.1 to 146.27.63.254146.27.63.2558,190
219146.27.64.0/19146.27.64.1 to 146.27.95.254146.27.95.2558,190
220146.27.96.0/19146.27.96.1 to 146.27.127.254146.27.127.2558,190
221146.27.128.0/19146.27.128.1 to 146.27.159.254146.27.159.2558,190
222146.27.160.0/19146.27.160.1 to 146.27.191.254146.27.191.2558,190
223146.27.192.0/19146.27.192.1 to 146.27.223.254146.27.223.2558,190
224146.27.224.0/19146.27.224.1 to 146.27.255.254146.27.255.2558,190
225146.28.0.0/19146.28.0.1 to 146.28.31.254146.28.31.2558,190
226146.28.32.0/19146.28.32.1 to 146.28.63.254146.28.63.2558,190
227146.28.64.0/19146.28.64.1 to 146.28.95.254146.28.95.2558,190
228146.28.96.0/19146.28.96.1 to 146.28.127.254146.28.127.2558,190
229146.28.128.0/19146.28.128.1 to 146.28.159.254146.28.159.2558,190
230146.28.160.0/19146.28.160.1 to 146.28.191.254146.28.191.2558,190
231146.28.192.0/19146.28.192.1 to 146.28.223.254146.28.223.2558,190
232146.28.224.0/19146.28.224.1 to 146.28.255.254146.28.255.2558,190
233146.29.0.0/19146.29.0.1 to 146.29.31.254146.29.31.2558,190
234146.29.32.0/19146.29.32.1 to 146.29.63.254146.29.63.2558,190
235146.29.64.0/19146.29.64.1 to 146.29.95.254146.29.95.2558,190
236146.29.96.0/19146.29.96.1 to 146.29.127.254146.29.127.2558,190
237146.29.128.0/19146.29.128.1 to 146.29.159.254146.29.159.2558,190
238146.29.160.0/19146.29.160.1 to 146.29.191.254146.29.191.2558,190
239146.29.192.0/19146.29.192.1 to 146.29.223.254146.29.223.2558,190
240146.29.224.0/19146.29.224.1 to 146.29.255.254146.29.255.2558,190
241146.30.0.0/19146.30.0.1 to 146.30.31.254146.30.31.2558,190
242146.30.32.0/19146.30.32.1 to 146.30.63.254146.30.63.2558,190
243146.30.64.0/19146.30.64.1 to 146.30.95.254146.30.95.2558,190
244146.30.96.0/19146.30.96.1 to 146.30.127.254146.30.127.2558,190
245146.30.128.0/19146.30.128.1 to 146.30.159.254146.30.159.2558,190
246146.30.160.0/19146.30.160.1 to 146.30.191.254146.30.191.2558,190
247146.30.192.0/19146.30.192.1 to 146.30.223.254146.30.223.2558,190
248146.30.224.0/19146.30.224.1 to 146.30.255.254146.30.255.2558,190
249146.31.0.0/19146.31.0.1 to 146.31.31.254146.31.31.2558,190
250146.31.32.0/19146.31.32.1 to 146.31.63.254146.31.63.2558,190
251146.31.64.0/19146.31.64.1 to 146.31.95.254146.31.95.2558,190
252146.31.96.0/19146.31.96.1 to 146.31.127.254146.31.127.2558,190
253146.31.128.0/19146.31.128.1 to 146.31.159.254146.31.159.2558,190
254146.31.160.0/19146.31.160.1 to 146.31.191.254146.31.191.2558,190
255146.31.192.0/19146.31.192.1 to 146.31.223.254146.31.223.2558,190
256146.31.224.0/19146.31.224.1 to 146.31.255.254146.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses